package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.enums.AuditStatusEnum;

/**
 * 对应数据库表(course_schedule_complaints):
 */
public class CourseScheduleComplaints {

	/**  */
	private Long id;
	
	@ApiModelProperty(value = "用户ID")
	private Integer userId;
	
	@ApiModelProperty(value = "课程ID")
	private Long courseScheduleId;
	
	@ApiModelProperty(value = "原因")
	private String reason;
	
	/**  */
	private AuditStatusEnum status;
	
	/**  */
	private String wfProcessId;
	
	/**  */
	private String wfOrderId;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	private Double teacherLiabilityRatio;
	
	private Double studentLiabilityRatio;

	private Float score;

	private SysUser user = new SysUser();

	public Float getScore() {
		return score;
	}

	public void setScore(Float score) {
		this.score = score;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setCourseScheduleId(Long courseScheduleId){
		this.courseScheduleId = courseScheduleId;
	}
	
	public Long getCourseScheduleId(){
		return this.courseScheduleId;
	}
			
	public void setReason(String reason){
		this.reason = reason;
	}
	
	public String getReason(){
		return this.reason;
	}

	public AuditStatusEnum getStatus() {
		return status;
	}

	public void setStatus(AuditStatusEnum status) {
		this.status = status;
	}

	public void setWfProcessId(String wfProcessId){
		this.wfProcessId = wfProcessId;
	}
	
	public String getWfProcessId(){
		return this.wfProcessId;
	}
			
	public void setWfOrderId(String wfOrderId){
		this.wfOrderId = wfOrderId;
	}
	
	public String getWfOrderId(){
		return this.wfOrderId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public Double getStudentLiabilityRatio() {
		return studentLiabilityRatio;
	}

	public void setStudentLiabilityRatio(Double studentLiabilityRatio) {
		this.studentLiabilityRatio = studentLiabilityRatio;
	}

	public Double getTeacherLiabilityRatio() {
		return teacherLiabilityRatio;
	}

	public void setTeacherLiabilityRatio(Double teacherLiabilityRatio) {
		this.teacherLiabilityRatio = teacherLiabilityRatio;
	}

	public SysUser getUser() {
		return user;
	}

	public void setUser(SysUser user) {
		this.user = user;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
